    class
    	SOCKET

    Ancestors
    	EXCEPTIONS
    	IO_MEDIUM*
    	SOCKET_RESOURCES

    Descendants
    	DATAGRAM_SOCKET*
    	NETWORK_SOCKET*
    	STREAM_SOCKET

    Clients
    	CLIENT*
    	NETWORK_SOCKET*
    	SERVER*
    	SOCKET
    	SOCKET_POLLER*

    Suppliers
    	BOOLEAN
    	C_STRING
    	INTEGER_32
    	MANAGED_POINTER
    	MISMATCH_CORRECTOR
    	MISMATCH_INFORMATION
    	PACKET
    	POINTER
    	SOCKET
    	SOCKET_ADDRESS
    	STRING_8
    	TYPED_POINTER [G]